| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::environment_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::environment_error:

## Detailed Description

Base class for errors that occur outside of UHD.

## Public Member Functions
| environment_error (const std::string &what)
unsigned | code (void) const override
environment_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

## ◆ environment_error()

uhd::environment_error::environment_error | ( | const std::string & | what | ) |

## Member Function Documentation

## ◆ code()

unsigned uhd::environment_error::code | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

Reimplemented in uhd::io_error, and uhd::os_error.

## ◆ dynamic_clone()

environment_error * uhd::environment_error::dynamic_clone | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

Reimplemented in uhd::io_error, and uhd::os_error.

## ◆ dynamic_throw()

void uhd::environment_error::dynamic_throw | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

Reimplemented in uhd::io_error, and uhd::os_error.

The documentation for this struct was generated from the following file:

- exception.hpp